[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# GetFontData

Gets font data for the specified font handle.

## Declaration

Source position: graphics.pp line 1956

`function GetFontData(`
`Font: HFONT`
`):TFontData;`

## Arguments

`Font` |  | Font handle with the logical font data read in the routine.

## Function result

TFontData structure with values read in the routine.

## Description

Values from DefFontData are assigned as the default return value for the routine. No additional actions are performed in the routine when Font contains 0 (for an unassigned font handle). When the font handle is valid, the following members in the return value are updated:

- Name
- Height
- Style
- CharSet
- Pitch
- Orientation
- Handle